rules = [
  # ExplicitResultTypes
  Disable
  DisableSyntax
  LeakingImplicitClassVal
  NoValInForComprehension
  OrganizeImports
  ProcedureSyntax
  RemoveUnused
]

Disable {
  ifSynthetic = [
    "scala/Option.option2Iterable"
    "scala/Predef.any2stringadd"
  ]
}

ExplicitResultTypes {
  memberKind = [Def, Val, Var]
  memberVisibility = [Public, Protected]
  skipSimpleDefinitions = ['Term.Ref', 'Lit', 'Term.New']
  fatalWarnings = false
  rewriteStructuralTypesToNamedSubclass = false
}

OrganizeImports {
  blankLines = Auto
  coalesceToWildcardImportThreshold = 1
  expandRelative = true
  groupExplicitlyImportedImplicitsSeparately = false
  groupedImports = AggressiveMerge
  groups = [
    "re:javax?\\."
    "scala."
    "*"
    "hello."
  ]
  importSelectorsOrder = Ascii
  importsOrder = Ascii
  preset = DEFAULT
  removeUnused = true
}

RemoveUnused {
  imports = false
  privates = true
  locals = true
  patternvars = true
}